1 Reply Latest reply: Feb 12, 2013 2:21 PM by BGreg
StableM Level 1 Level 1 (0 points)

My new iPhone 5 requires a newer version of iTunes than I currently run. I can't install the new version as my OS is 10.5.8 and it needs to be at least 10.6.8

 

Is this a case of having to buy new software?


iPhone 5, Mac OS X (10.5.8)
  • 1. Re: iPhone 5
    BGreg Level 6 Level 6 (17,500 points)

    Yes, you have to upgrade to OS X 10.6.8 Snow Leopard to install the current iTunes and sync the iPhone 5.

     

    As long as you have at least 1GB of memory and some free disk space, call the online Apple store, which in the US is at 800-MY-APPLE, or it can be ordered online from Apple too. $19.95. Only available on DVD. Install, run Software Update until there are no more updates, then install the current iTunes.